#include <iostream>

using namespace std;

int main()
{
int n, m, k;
cin >> n >> m >> k;
int nizx[k], nizy[k];
for(int i = 0; i < k; i++){
    cin >> nizx[i] >> nizy[i];
}
    cout << 3;
    
    return 0;


}